Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Interface TransitionListener

    public interface TransitionListener

Represents a listener that can be notified when a transition occurs during a DTMC simulation of a call center. After an object of a class implementing this interface is constructed, it can be registered with a DTMC call center simulator.

Method Summary
`void` | `init(CallCenterCTMC ctmc, int r, int mp)` This method is called when the registered call center CTMC is initialized, during replication `r`, at the beginning of main period `mp`.
`void` | `newTransition(CallCenterCTMC ctmc, int r, int mp, TransitionType type)` This method is called when a new transition occurs in the CTMC `ctmc`, during replication `r` of the simulation of main period `mp`.

Method Detail

### init

    void init(CallCenterCTMC ctmc,
              int r,
              int mp)

  This method is called when the registered call center CTMC is initialized, during replication `r`, at the beginning of main period `mp`.

  Parameters:
    `ctmc` - the initialized CTMC.
    `r` - the replication number.
    `mp` - the main period index.

### newTransition

    void newTransition(CallCenterCTMC ctmc,
                       int r,
                       int mp,
                       TransitionType type)

  This method is called when a new transition occurs in the CTMC `ctmc`, during replication `r` of the simulation of main period `mp`. The type of the simulated transition is given by `type`.

  Parameters:
    `ctmc` - the continuous-time Markov chain.
    `r` - the replication index.
    `mp` - the main period index.
    `type` - the transition type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.